Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.jbotester
Class NavBar

`java.lang.Object
java.awt.Component
java.awt.Container
javax.swing.JComponent
javax.swing.JToolBar
oracle.jbo.jbotester.NavBar`

All Implemented Interfaces:
  javax.accessibility.Accessible, javax.swing.event.ChangeListener, java.util.EventListener, java.awt.image.ImageObserver, oracle.jbo.jbotester.JBOControl, java.awt.MenuContainer, RowNavigationListener, RowSetListener, java.io.Serializable, javax.swing.SwingConstants

public final class NavBar
extends javax.swing.JToolBar
implements oracle.jbo.jbotester.JBOControl, javax.swing.event.ChangeListener

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class javax.swing.JToolBar
`javax.swing.JToolBar.AccessibleJToolBar, javax.swing.JToolBar.Separator`

Nested classes inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Nested classes inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`static int` | `BIND_PARAMETERS`
`static javax.swing.border.Border` | `buttonBorder`
`static int` | `CLOSE`
`static int` | `COMMIT`
`static int` | `CONNECT`
`static int` | `DELETE`
`static int` | `DISCONNECT`
`static int` | `FIND`
`static int` | `FIRST`
`static javax.swing.border.Border` | `focusBorder`
`static java.lang.String[][]` | `images`
`static int` | `INSERT`
`static int` | `LAST`
`static int` | `NEXT`
`static int` | `NEXT_PAGE`
`static int` | `NUM_BUTTONS`
`static int` | `PREV_PAGE`
`static int` | `PREVIOUS`
`static int` | `ROLLBACK`
`static int` | `SEPARATE_WIN`
`static int` | `VALIDATE`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.SwingConstants
`BOTTOM, CENTER, EAST, HORIZONTAL, LEADING, LEFT, NORTH, NORTH_EAST, NORTH_WEST, RIGHT, SOUTH, SOUTH_EAST, SOUTH_WEST, TOP, TRAILING, VERTICAL, WEST`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`NavBar(MainFrame frame)` Basic constructor.
`NavBar(MainFrame frame, boolean noPopup)`
`NavBar(MainFrame frame, boolean noPopup, int orient)`

Method Summary
`RowSetIterator` | `getIterator()`
`javax.swing.JPanel` | `getMyParent()`
`static void` | `initButton(javax.swing.JButton button, char mnemonic, int index)`
`void` | `navigated(NavigationEvent event)` Invoked when the current-row designation changes.
`void` | `rangeRefreshed(RangeRefreshEvent event)` Invoked when the range changes.
`void` | `rangeScrolled(ScrollEvent event)` Invoked when the range is scrolled.
`void` | `rowDeleted(DeleteEvent event)` Invoked when a row has been deleted.
`void` | `rowInserted(InsertEvent event)` Invoked when a row has been inserted.
`void` | `rowUpdated(UpdateEvent event)` Invoked when an attribute of the row has been changed.
`void` | `setIterator(RowSetIterator iterator)`
`void` | `setMyParent(javax.swing.JPanel parent)`
`void` | `stateChanged(javax.swing.event.ChangeEvent e)`

Methods inherited from class javax.swing.JToolBar
`add, addImpl, addSeparator, addSeparator, createActionChangeListener, createActionComponent, getAccessibleContext, getComponentAtIndex, getComponentIndex, getMargin, getOrientation, getUI, getUIClassID, isBorderPainted, isFloatable, isRollover, paintBorder, paramString, setBorderPainted, setFloatable, setLayout, setMargin, setOrientation, setRollover, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getGraphics, getHeight, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getPropertyChangeListeners, getPropertyChangeListeners, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isPreferredSizeSet, isRequestFocusEnabled, isValidateRoot, paint, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFont, setForeground, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### BIND_PARAMETERS

    public static final int BIND_PARAMETERS

  See Also:
    Constant Field Values

### buttonBorder

    public static final javax.swing.border.Border buttonBorder

### CLOSE

    public static final int CLOSE

  See Also:
    Constant Field Values

### COMMIT

    public static final int COMMIT

  See Also:
    Constant Field Values

### CONNECT

    public static final int CONNECT

  See Also:
    Constant Field Values

### DELETE

    public static final int DELETE

  See Also:
    Constant Field Values

### DISCONNECT

    public static final int DISCONNECT

  See Also:
    Constant Field Values

### FIND

    public static final int FIND

  See Also:
    Constant Field Values

### FIRST

    public static final int FIRST

  See Also:
    Constant Field Values

### focusBorder

    public static final javax.swing.border.Border focusBorder

### images

    public static final java.lang.String[][] images

### INSERT

    public static final int INSERT

  See Also:
    Constant Field Values

### LAST

    public static final int LAST

  See Also:
    Constant Field Values

### NEXT

    public static final int NEXT

  See Also:
    Constant Field Values

### NEXT_PAGE

    public static final int NEXT_PAGE

  See Also:
    Constant Field Values

### NUM_BUTTONS

    public static final int NUM_BUTTONS

  See Also:
    Constant Field Values

### PREV_PAGE

    public static final int PREV_PAGE

  See Also:
    Constant Field Values

### PREVIOUS

    public static final int PREVIOUS

  See Also:
    Constant Field Values

### ROLLBACK

    public static final int ROLLBACK

  See Also:
    Constant Field Values

### SEPARATE_WIN

    public static final int SEPARATE_WIN

  See Also:
    Constant Field Values

### VALIDATE

    public static final int VALIDATE

  See Also:
    Constant Field Values

Constructor Detail

### NavBar

    public NavBar(MainFrame frame)

  Basic constructor. Creates a horizontal toolbar without popup buttons
Parameters:
  `frame` - The MainFrame that will contain the NavBar

### NavBar

    public NavBar(MainFrame frame,
                  boolean noPopup)

Parameters:
  `frame` - The MainFrame that will contain the NavBar
  `noPopup` - to indicate whether popup buttons should be added

### NavBar

    public NavBar(MainFrame frame,
                  boolean noPopup,
                  int orient)

Parameters:
  `frame` - The MainFrame that will contain the NavBar
  `noPopup` - to indicate whether popup buttons should be added
  `orient` - Either `JtoolBar.HORIZONTAL` or `JToolbar.VERTICAL`

Method Detail

### initButton

    public static void initButton(javax.swing.JButton button,
                                  char mnemonic,
                                  int index)

### getIterator

    public RowSetIterator getIterator()

  Specified by:
    `getIterator` in interface `oracle.jbo.jbotester.JBOControl`

### getMyParent

    public javax.swing.JPanel getMyParent()

### navigated

    public void navigated(NavigationEvent event)

  Description copied from interface: `RowSetListener`
  Invoked when the current-row designation changes.
  Specified by:
    `navigated` in interface `RowSetListener`
  Parameters:
    `event` - a description of the new and previous current rows.

### rangeRefreshed

    public void rangeRefreshed(RangeRefreshEvent event)

  Description copied from interface: `RowSetListener`
  Invoked when the range changes.
  Specified by:
    `rangeRefreshed` in interface `RowSetListener`
  Parameters:
    `event` - a description of the new ranges.

### rangeScrolled

    public void rangeScrolled(ScrollEvent event)

  Description copied from interface: `RowSetListener`
  Invoked when the range is scrolled.
  Specified by:
    `rangeScrolled` in interface `RowSetListener`
  Parameters:
    `event` - a description of the new range.

### rowDeleted

    public void rowDeleted(DeleteEvent event)

  Description copied from interface: `RowSetListener`
  Invoked when a row has been deleted.
  Specified by:
    `rowDeleted` in interface `RowSetListener`
  Parameters:
    `event` - a description of the deleted Row object.

### rowInserted

    public void rowInserted(InsertEvent event)

  Description copied from interface: `RowSetListener`
  Invoked when a row has been inserted.
  Specified by:
    `rowInserted` in interface `RowSetListener`
  Parameters:
    `event` - a description of the new Row object.

### rowUpdated

    public void rowUpdated(UpdateEvent event)

  Description copied from interface: `RowSetListener`
  Invoked when an attribute of the row has been changed.
  Specified by:
    `rowUpdated` in interface `RowSetListener`
  Parameters:
    `event` - a description of the modified Row object.

### setIterator

    public void setIterator(RowSetIterator iterator)

  Specified by:
    `setIterator` in interface `oracle.jbo.jbotester.JBOControl`

### setMyParent

    public void setMyParent(javax.swing.JPanel parent)

### stateChanged

    public void stateChanged(javax.swing.event.ChangeEvent e)

  Specified by:
    `stateChanged` in interface `javax.swing.event.ChangeListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.